org.apache.cassandra.cql3

## Class Tuples.Marker

- java.lang.Object
- - org.apache.cassandra.cql3.Term.NonTerminal
  - - org.apache.cassandra.cql3.AbstractMarker
    - - org.apache.cassandra.cql3.Tuples.Marker

All Implemented Interfaces:
  Term

Enclosing class:
  Tuples

    public static class Tuples.Marker
    extends AbstractMarker

`Represents a marker for a single tuple, like "SELECT ... WHERE (a, b, c) > ?"`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.AbstractMarker

`AbstractMarker.INRaw, AbstractMarker.Raw`

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.Term

`Term.MultiColumnRaw, Term.MultiItemTerminal, Term.NonTerminal, Term.Terminal`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.AbstractMarker

`bindIndex, receiver`

### Constructor Summary

Constructors
Constructor and Description
`Marker(int bindIndex, ColumnSpecification receiver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Tuples.Value` `bind(QueryOptions options)` Bind the values in this term to the values contained in `values`.

### Methods inherited from class org.apache.cassandra.cql3.AbstractMarker

`collectMarkerSpecification, containsBindMarker, getFunctions`

### Methods inherited from class org.apache.cassandra.cql3.Term.NonTerminal

`bindAndGet`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Marker

    public Marker(int bindIndex,
                  ColumnSpecification receiver)

### Method Detail

#### bind

    public Tuples.Value bind(QueryOptions options)
                      throws InvalidRequestException

Description copied from interface: `Term`
Bind the values in this term to the values contained in `values`. This is obviously a no-op if the term is Terminal.

Parameters:
  `options` - the values to bind markers to.
Returns:
  the result of binding all the variables of this NonTerminal (or 'this' if the term is terminal).
Throws:
  `InvalidRequestException`